<?php
/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.01  
* Copyright (C) 2007-2012: Fred Stuurman (fc.stuurman@gmail.com)
* Newsletter module:
* edit_content.php: last changed 11/01/2012 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if ( !defined('IN_SAS') )
{
	die("Hacking attempt");
}

$template_path = $sas_config['serverpath'] . $sas_config['user_path'] . "/" . $media."/templates";

if (IsSet ($_GET['template']))
{
	$template = preg_replace('/[^a-zA-Z0-9\-_.]*/' , '', $_GET['template']);
	$pos = strrpos($template, ".");	//get last point
	$template = substr($template,0,$pos);	//remove extention, be sure it is a html file
	$filename = $template_path . "/" . $template . ".html";
	
	if (file_exists($filename)) 
	{
		$handle = fopen($filename, "r");
		$content = fread($handle, filesize($filename));
		fclose($handle);
	}
}

if(IsSet($_GET['newsletter_id']))
{
	$newsletter_id = $_GET['newsletter_id'];
}
 
print "<style type=\"text/css\">
SELECT { background-color: #FFFFFF; }
</style>"; 
print "<FORM METHOD=\"POST\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_newsletter&edition=$edition&newsletter_id=$newsletter_id\">";
print "<center>&nbsp;".$sas_lang['title'].":&nbsp;".$title."</center><br>";

print "<TABLE class=\"ToolBar\" id=\"idToolbar\" cellSpacing=\"0\" cellPadding=\"0\"  width=\"".$sas_config['editor_width']."\" border=\"1\">
<TBODY>
<TR style=\"background:ButtonFace\"><td>";
if (is_dir($template_path)) 
{
	print "<span class=text>&nbsp;".$sas_lang['template'].":&nbsp;&nbsp;</span><select class=text size=\"1\" name=\"template\" 
	onchange=\"parent.location.href='index.php?option=modulemanager&module=$module&modoption=$modoption&edition=$edition&newsletter_id=$newsletter_id&template=' + this.options[this.selectedIndex].value\">>\n";
	$dir_handle = @opendir($template_path) ;
	print "<option value=\"Kies er een\">".$sas_lang['choose_one']."</option>";	
		while ($file = readdir($dir_handle))
		{
			if ((preg_match('/.html/', $file)) OR (preg_match('/.htm/', $file)))
			{
				$file_array[] = $file ;
				//order the files naterually
				$array_lowercase = array_map('strtolower', $file_array); //convert to lowercase first
				array_multisort($array_lowercase, SORT_ASC, SORT_REGULAR, $file_array); //do the sorting
			}
		}
	closedir($dir_handle);
	
	foreach($file_array as $value)
	{
		echo "<option value=\"$value\">$value</option>";
	}
	print "</select></td>";
}
print "</TR>
  <TR vAlign=center><td>";
$theme_css = $sas_config['url'] . $cmsdir . "/themes/" . $sas_config['theme'] . "/style.css";
$height = $sas_config['htmlarea_editor_rows'] * 20;
$fck_lang = strtolower($sas_config['language']);
print "<textarea cols=\"80\" id=\"editor_v2\" name=\"content\" rows=\"".$sas_config['htmlarea_editor_rows']."\">$content</textarea>";
?>
	<script type="text/javascript">
	//<![CDATA[

		CKEDITOR.replace( 'editor_v2',
			{
				language : '<?php echo $fck_lang ?>',
				contentsCss : '<?php echo $theme_css ?>',
				height : <?php echo $height ?>,
				width : <?php echo $sas_config['editor_width']; ?>,
				toolbar : 'Full',
				filebrowserBrowseUrl : 'editors/ckeditor/filemanager/browser.php?type=link',
				filebrowserImageBrowseUrl : 'editors/ckeditor/filemanager/browser.php?type=image',
				filebrowserFlashBrowseUrl : 'editors/ckeditor/filemanager/browser.php?type=flash',
				filebrowserFLVPlayerBrowseUrl : 'editors/ckeditor/filemanager/browser.php?type=flash',
				customConfig: "sas_config.js"

			});

	//]]>
	</script>
<?php
print "</td><tr></table>";

print "<br><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module&newsletter_id=$newsletter_id'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</em></span></button>";
print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</em></span></button><br><br></form>";
?>