<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* 
* modulemanager.inc.php: last changed 11/07/2011 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}
if (IsSet ($_GET['module']))
{
	$module = sanitize($_GET['module'], 3 , 'I'); //sanitize, 3 pos max
}
if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 25, 'A');
}
else
{
	$modoption = "list_modules";
}
if (IsSet ($_GET['suboption']))
{
	$suboption = sanitize($_GET['suboption'], 15, 'A');
}
if (IsSet ($_GET['module_number']))
{
	$module_number = sanitize($_GET['module_number'], 3 , 'I'); //sanitize, 3 pos max
}
if (IsSet ($_POST['module_number']))
{
	$module_number = sanitize($_POST['module_number'], 3 , 'I'); //sanitize, 3 pos max
}
if (IsSet ($_POST['modulename']))
{
	$modulename = sanitize($_POST['modulename'], 60, 'S');
}
if (IsSet ($_POST['moduleoptions']))
{
	$moduleoptions = $_POST['moduleoptions'];
}
if (IsSet ($_POST['css']))
{
	$css = sanitize($_POST['css'], 1500 , 'S'); //sanitize the input, leave html tags in tact
}

//does user has access?, if not exit.
if (substr($access, 2, 1) != 1) //bit 3 off the accessrights
{
	include ("interface/header.inc.php");
	include ("interface/menubar.inc.php");
	include ("interface/menustart.inc.php");
	include ("interface/menuend.inc.php");
	include ("interface/pagestart.inc.php");
	print "<span class=\"sas_module_title\">" . $sas_lang['noaccess'] . "<br></span>";
	print "" . $sas_lang['noaccess_introduction'] . "</span><br><br><br>";
	include ("interface/pageend.inc.php");
	include ("interface/footer.inc.php");
	exit;
}

$m_access = substr($access, strrpos($access, ',') + 1); //access bits module after comma
$query = "SELECT id, name FROM $table_modules ORDER BY name"; //get all installed modules id's               
$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 

	
if (IsSet ($module))
{
	while ($module_list = mysql_fetch_array($result))
	{
		if ($module_list[0] == $module)
		{ //get the access bit number
			$access_bit = $module_list[0] - 1;
		}
	}
	
	//does user has access?, if not exit.
	if (substr($m_access, $access_bit, 1) != 1)
	{
		include ("interface/header.inc.php");
		include ("interface/menubar.inc.php");
		include ("interface/menustart.inc.php");
		include ("interface/menuend.inc.php");
		include ("interface/pagestart.inc.php");
		print "<span class=\"sas_module_title\">" . $sas_lang['noaccess'] . "<br></span>";
		print "" . $sas_lang['noaccess_introduction'] . "</span><br><br><br>";
		include ("interface/pageend.inc.php");
		include ("interface/footer.inc.php");
		exit;
	}
	
	$query = "SELECT location FROM $table_modules WHERE id = '".$module."' LIMIT 1"; // getting the locationn of the admin script
	$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
	$location = mysql_result($result, 0, 0);
	unset ($query);
	unset ($result);
	include ("modules/$location/admin.php");
	exit;
}
else
{
include ("interface/header.inc.php");
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");
include ("interface/menuend.inc.php");
include ("interface/pagestart.inc.php");
}

print "<span class=\"sas_module_title\">" . $sas_lang['modulemanager'] . "<br></span>";

switch ($modoption) // start of switch
{

	case restore_css :
	
		if (file_exists("addons/css_sample.css"))
		{
			$handle = fopen("addons/css_sample.css", "r");
			$css = fread($handle, filesize("addons/css_sample.css"));
			fclose($handle);
			mysql_query("UPDATE $table_modules SET css = '$css', css_prot = '$css' WHERE id > 0");
		}
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager'</script>";
	
	break;
	
	case clear_css :
	
		mysql_query("UPDATE $table_modules SET css = '' WHERE id > 0");
		mysql_query("UPDATE $table_modules SET css_prot = '' WHERE id > 0");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager'</script>";
		
	break;
	
	case propagate :
	
		if ($suboption == "protected")
		{
			$query = "SELECT css_prot FROM $table_modules WHERE id = '".$module_number."' LIMIT 1";
			$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
			$css = mysql_result($result, 0, 0);
			mysql_query("UPDATE $table_modules SET css_prot = '$css' WHERE id > 0");
		}
		else
		{
			$query = "SELECT css FROM $table_modules WHERE id = '".$module_number."' LIMIT 1";
			$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
			$css = mysql_result($result, 0, 0);
			mysql_query("UPDATE $table_modules SET css = '$css' WHERE id > 0");
		}
		
		unset ($query);
		unset ($result);
		
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager'</script>";
	
	break;
	
	case save :
	
		$query = "SELECT options FROM $table_modules WHERE id = '".$module_number."' LIMIT 1";
		$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$moduleoptions_old = explode(",", mysql_result($result, 0));
		unset ($query);
		unset ($result);
		
		if ($suboption == "protected")
		{
			mysql_query("UPDATE $table_modules SET name = '$modulename', css_prot = '$css' WHERE id = '".$module_number."'");
		}
		else
		{
			mysql_query("UPDATE $table_modules SET name = '$modulename', css = '$css' WHERE id = '".$module_number."'");
		}
		
		unset ($module);
		
		$i = 0;
		while ($i < count($moduleoptions_old))
		{
			$moduleoption = $moduleoption . $moduleoptions_old[$i] . ",";
			$i++;
			$moduleoption = $moduleoption . $moduleoptions[$i] . ",";
			$i++;
		}
	
		$moduleoption = substr($moduleoption, 0, strlen($moduleoption) - 1);
	
		mysql_query("UPDATE $table_modules SET options = '$moduleoption' WHERE id = '".$module_number."'");
		
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager'</script>";

	break;

	case edit:

		$query = "SELECT name, options, css, css_prot FROM $table_modules WHERE id = '".$module_number."' LIMIT 1";
		$result = mysql_query($query) or trigger_error(mysql_error().'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$modulename = mysql_result($result, 0, 0); 
		$moduleoptions = explode(",", mysql_result($result, 0, 1));
		if ($suboption == "protected")
		{
			$css = mysql_result($result, 0, 3);
		}
		else
		{
			$css = mysql_result($result, 0, 2);
		}
		
		unset ($query);
		unset ($result);
		
		print "" . $sas_lang['modulemanager_introduction'] . "</span>\n";
		print "<FORM METHOD=\"POST\" ACTION=\"index.php?option=modulemanager&modoption=save&suboption=$suboption\">\n";
		print "<p><br><table border=\"0\"><tr><td align=\"right\" width=\"120\">" . $sas_lang['module_name'] . "</span></td>\n
				<td><input tabindex=\"1\" type=text size=60 class=\"textfield\" name=\"modulename\" value=\"$modulename\"></td></tr>\n
				</tr><tr><td colspan=\"2\">&nbsp;</td></tr><input type=hidden name=\"module_number\" value=\"$module_number\">\n";
		print "<tr><td>&nbsp;</td>
				 <td>" . $sas_lang['module_script'] . "</span></td></tr>\n";
		$i = 0;
		
		while ($i < count($moduleoptions))
		{
			print "<tr><td align=\"right\">$moduleoptions[$i]:</span></td>";
			$i++;
			print "<td><input tabindex=\"2\" type=\"text\" size=\"60\" class=\"textfield\" name=\"moduleoptions[$i]\" value=\"$moduleoptions[$i]\"></td></tr>";
			$i++;
		}
		print "</table><input type=\"hidden\" name=\"number\" value=\"$i\"><p>
				<table width=\"600\">
				<tr>";
		
		if ($suboption == "protected")
		{
			
			print "<td><input type=\"button\" value=\"".$sas_lang['propagate_css']."\" name=\"backbutton\" onClick=\"if(confirm('".$sas_lang['propagate_css_question']."')) parent.location='index.php?option=modulemanager&modoption=propagate&module_number=$module_number&suboption=protected';\"></td>
				<td align=\"right\"><input type=\"button\" value=\"CSS ".$sas_lang['public_area']."\" name=\"backbutton\" onClick=\"javascript:parent.location='index.php?option=modulemanager&modoption=edit&module_number=$module_number&suboption=public';\">";
		}
		else
		{
			print "<td><input type=\"button\" value=\"".$sas_lang['propagate_css']."\" name=\"backbutton\" onClick=\"if(confirm('".$sas_lang['propagate_css_question']."')) parent.location='index.php?option=modulemanager&modoption=propagate&module_number=$module_number&suboption=public';\"></td>
				<td align=\"right\"><input type=\"button\" value=\"CSS ".$sas_lang['protected_area']."\" name=\"backbutton\" onClick=\"javascript:parent.location='index.php?option=modulemanager&modoption=edit&module_number=$module_number&suboption=protected';\">";
		}
		print "</td></tr></table>\n";
		print "<table class=\"ToolBar\" id=\"idToolbar\" cellSpacing=\"0\" cellPadding=\"0\"  width=\"600\" border=\"1\">\n
				<tr style=\"background:ButtonFace;\">\n
				<td width=\"50%\" height=\"28\">\n";
		
		print "&nbsp;CSS Editor: <b>";
		
		if ($suboption == "protected")
		{
			print $sas_lang['protected_area'];
		}
		else
		{
			print $sas_lang['public_area'];
		}
		print "</b></td><td>&nbsp;". $sas_lang['module_name'] . "<b> $modulename</b></span></td></tr>\n";
	
		print "<tr><td colspan=\"2\"><textarea id=\"css\" style=\"font-family:courier; font-weight: bold; width:600;\" name=\"css\" rows=\"15\">";
		print wordwrap($css);
		print "</textarea></td></tr></table>\n";
	
		print "<br><br><button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['cancel']."</em></span></button>\n";
		print "\n&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</em></span></button>\n";
		print "</span></form>\n";
		
	break;
	
	case list_modules:
	
		print $sas_lang['modulemanager_introduction'] . "<br><br>";
		print $sas_lang['installed_modules'] . "<br><br>";
		print "<table border=\"0\" cellpadding=\"2\" cellspacing=\"0\">";
	
		$column = 0;
		
		while ($module_list = mysql_fetch_array($result))
		{
			$i = $module_list[0] - 1;
			//does user has access?, if not skip it.
			if (substr($m_access, $i, 1) == 1)
			{
				if ($column == 1)
				{
					print "<td><img border=\"0\" src=\"graphics/module.gif\"></td>";
					
					if (substr($access, 4, 1) == 1) //bit 5 off the accessrights (configuration right)
					{
						print "<td><a href=\"index.php?option=modulemanager&modoption=edit&module_number=$module_list[0]\" style=\"font-weight: normal\">[" . $sas_lang['edit'] . "]</a></td>";
					}
					print "<td><a href=\"index.php?option=modulemanager&module=$module_list[0]\">$module_list[1]</a></span></td></tr>";
					$column = 0;
				}
				else
				{
					print "<tr>
							<td><img border=\"0\" src=\"graphics/module.gif\"></td>";
							
					if (substr($access, 4, 1) == 1) //bit 5 off the accessrights (configuration right)
					{
						print "<td><a href=\"index.php?option=modulemanager&modoption=edit&module_number=$module_list[0]\" style=\"font-weight: normal\">[" . $sas_lang['edit'] . "]</a></td>";
					}
					print "<td><a href=\"index.php?option=modulemanager&module=$module_list[0]\">$module_list[1]</a></span></td>
							<td width=\"75\">&nbsp;</td>";
					$column = 1;
				}
			}
		}
		print "<tr><td colspan=\"7\">&nbsp;</td></tr>";

		if (substr($access, 4, 1) == 1) //bit 5 off the accessrights (configuration right)
		{
			print "<tr><td><img src=\"graphics/folder_closed.gif\" alt=\"\"></td>
				   <td colspan=\"3\"><a href=\"#\" onClick=\"if(confirm('".$sas_lang['clear_css_question']."')) parent.location='index.php?option=modulemanager&modoption=clear_css';\">
				   ".$sas_lang['clear_css']."</span></a></td>
				   <td><img src=\"graphics/folder_closed.gif\" alt=\"\"></td>
				   <td colspan=\"3\"><a href=\"#\" onClick=\"if(confirm('".$sas_lang['restore_css_question']."')) parent.location='index.php?option=modulemanager&modoption=restore_css'\">
				   ".$sas_lang['restore_css']."</span></a></td>
				   </tr>" ;
		}
		print "</table>";
		
	break;
}

include ("interface/pageend.inc.php");
include ("interface/footer.inc.php");
?>